Prospects / REST API

List prospect lists

List all prospect lists in a workspace.

GET /api/prospect-listsDeterministic operation

Parameters

workspaceIdOptional · string
Optional with API key auth, inferred from the key.
Request example
curl -X GET "https://app.pipeline.help/api/prospect-lists" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "description": "Optional with API key auth, inferred from the key."
    }
  }
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview